## ubiquity-slideshow-regolith 202

=== Makefile ===
# Makefile for ubiquity-slideshow-regolith

SLIDESHOWS = \
	regolith

SOURCE ?= .
SOURCESLIDES ?= $(SOURCE)/slideshows
BUILD ?= $(SOURCE)/build

PO4A_FLAGS = -M UTF-8 -f xhtml -o attributes="data-translate"


find-slides = $(filter-out %/index.html,$(wildcard $1/*.html))
find-slidenames = $(notdir $(call find-slides,$(SOURCESLIDES)/$1/slides))
find-locales = $(basename $(notdir $(wildcard po/$1/*.po)))


.PHONY: all
all: build.slideshows

.PHONY: pot

.PHONY: clean
clean:
	-rm -rf $(_ALL_TMP_DIRS) $(BUILD)

.PHONY: test
test: build
	./test-slideshow.sh

$(BUILD):
	mkdir -p $(BUILD)

.PHONY: build.slideshows


define MAKE-SLIDESHOW

# Per-slideshow build

_SOURCE_FILES_$(1) := $$(shell find -L $(SOURCESLIDES)/$(1) -type f)
_BUILD_FILES_$(1) := $$(patsubst $(SOURCESLIDES)/%,$(BUILD)/%,$$(_SOURCE_FILES_$(1)))

_ALL_TMP_DIRS += $(BUILD)/$1
build.slideshows: build.$1

.PHONY: build.$1
build.$1: build.base.$1 build.l10n.$1

.PHONY: build.base.$1
build.base.$1: $$(_BUILD_FILES_$(1))

.PHONY: build.l10n.$1
build.l10n.$1: build.base.$1
	./build-directory-jsonp.py $(BUILD)/$1/slides/l10n > $(BUILD)/$1/slides/directory.jsonp

# Per-slideshow pot file creation

_ALL_TMP_DIRS += po/$1/.tmp
pot: po/$1/slideshow-$1.pot

po/$1/slideshow-$1.pot: $(addsuffix .pot,$(addprefix po/$1/.tmp/,$(call find-slidenames,$1)))
	msgcat -F $$^ > $$@

po/$1/.tmp/%.pot: $(SOURCESLIDES)/$1/slides/% | po/$1/.tmp
	po4a-updatepo $(PO4A_FLAGS) -m $$^ -p $$@

po/$1/.tmp:
	mkdir -p po/$1/.tmp

# Per-slideshow test scripts

.PHONY: $(SLIDESHOWS)
$(SLIDESHOWS): %: build.%

.PHONY: test.$1
test.$1: build.base.$1
	./Slideshow.py --path="$(BUILD)/$1" --controls

$(foreach p,$(call find-locales,$1),$(eval $(call MAKE-SLIDESHOW-LOCALE,$1,$p)))

endef


define MAKE-SLIDESHOW-LOCALE

# Per-locale per-slideshow build
# By creating a different target for each locale, parallel build works as expected.

build.l10n.$1: build.l10n.$1.$2

.PHONY: build.l10n.$1.$2
build.l10n.$1.$2: $(addprefix $(BUILD)/$1/slides/l10n/$2/,$(call find-slidenames,$1))
	rmdir --ignore-fail-on-non-empty $(BUILD)/$1/slides/l10n/$2

$(BUILD)/$1/slides/l10n/$2/%: $(SOURCESLIDES)/$1/slides/% po/$1/$2.po | $(BUILD)/$1/slides/l10n/$2
	po4a-translate $(PO4A_FLAGS) --keep=1 --master=$$< --po=po/$1/$2.po --localized=$$@

$(BUILD)/$1/slides/l10n/$2:
	# translate all slides inside this locale
	mkdir -p $$@

# Per-locale per-slideshow test scripts

test.$1.$2: build.base.$1 build.l10n.$1.$2
	./build-directory-jsonp.py $(BUILD)/$1/slides/l10n > $(BUILD)/$1/slides/directory.jsonp
	./Slideshow.py --path="$(BUILD)/$1" --controls --locale=$2

test.$1.$2.rtl: build.base.$1 build.l10n.$1.$2
	./build-directory-jsonp.py $(BUILD)/$1/slides/l10n > $(BUILD)/$1/slides/directory.jsonp
	./Slideshow.py --path="$(BUILD)/$1" --controls --locale=$2 --rtl

endef


$(foreach s,$(SLIDESHOWS),$(eval $(call MAKE-SLIDESHOW,$s)))


$(BUILD)/%: $(SOURCESLIDES)/% | $(BUILD)
	mkdir -p $(@D)
	cp $^ $@

$(BUILD)/%.js: $(SOURCESLIDES)/%.js | $(BUILD)
	mkdir -p $(@D)
	cp $^ $@

## ubiquity-slideshow-regolith 202-1regolith

=== debian/changelog ===
ubiquity-slideshow-regolith (202-1regolith-jammy) jammy; urgency=medium

  * Automated Voulage release

 -- Regolith Linux <regolith.linux@gmail.com>  Sun, 09 Mar 2025 19:56:48 +0000

ubiquity-slideshow-regolith (202) jammy; urgency=medium

  [ Khosrow Moossavi ]
  * chore: upgrade to version 202 from upstream
  * feat: overall redesign of regoilth slides
  * feat: use build-only to test pull request

 -- Regolith Linux <regolith.linux@gmail.com>  Sun, 09 Mar 2025 19:55:40 +0000

ubiquity-slideshow-regolith (183) jammy; urgency=medium

  [ Khosrow Moossavi ]
  * chore: remove obsolete package broadcast action
  * feat: enable github action to test pull requests
  * feat: enable github action to publish to unstable
  * feat: enable github action to publish to testing
  * feat: enable github action to prepare release
  * fix: create release tag from correct git sha

 -- Regolith Linux <regolith.linux@gmail.com>  Tue, 04 Feb 2025 03:07:28 +0000

ubiquity-slideshow-regolith (182) jammy; urgency=medium

  [ Ken Gilmer ]
  * Update logo for 2.x

 -- Regolith Linux <regolith.linux@gmail.com>  Fri, 15 Jul 2022 18:39:28 -0700

ubiquity-slideshow-regolith (181) jammy; urgency=medium

  [ Ken Gilmer ]
  * Update for Regolith 2

 -- Regolith Linux <regolith.linux@gmail.com>  Wed, 15 Jun 2022 20:33:57 -0700

ubiquity-slideshow-regolith (168.6-regolith1) focal; urgency=medium

  * Add virtual package for artwork update from upstream. Fixes focal
    installer boot. 

 -- Regolith Linux <regolith.linux@gmail.com>  Sat, 05 Jun 2021 21:36:36 -0700

ubiquity-slideshow-regolith (168.5-regolith1) focal; urgency=medium

  [ Ken Gilmer ]
  * Update virtual package dependency for focal

 -- Regolith Linux <regolith.linux@gmail.com>  Sat, 05 Jun 2021 21:35:22 -0700

ubiquity-slideshow-regolith (168.4-regolith1) focal; urgency=medium

  [ Ken Gilmer ]
  * Lots of cleanup

 -- Regolith Linux <regolith.linux@gmail.com>  Thu, 29 Apr 2021 22:08:46 -0700

=== debian/control ===
Source: ubiquity-slideshow-regolith
Section: x11
Priority: optional
Maintainer: Ubiquity Slideshow Team <ubiquity-slideshow@lists.launchpad.net>
Build-Depends: debhelper-compat (= 12)
Build-Depends-Indep: po4a, python3
Vcs-Git: https://git.launchpad.net/ubiquity-slideshow-ubuntu
Standards-Version: 4.5.0
Homepage: https://launchpad.net/ubiquity-slideshow-ubuntu

Package: ubiquity-slideshow-regolith
Architecture: all
Provides: ubiquity-slideshow
Conflicts: ubiquity-slideshow
Replaces: ubiquity-slideshow
Depends: ${misc:Depends}
Description: Ubiquity slideshow for Regolith
 A slideshow intended for the Ubiquity installer, designed as a quick
 introduction to Regolith.
